!include "MUI.nsh"

SetCompressor /SOLID lzma

!insertmacro MUI_PAGE_LICENSE "COPYING.txt"
!insertmacro MUI_PAGE_DIRECTORY
!insertmacro MUI_PAGE_INSTFILES

!ifdef INNER
    !echo "Inner invocation"
    !insertmacro MUI_UNPAGE_CONFIRM
    !insertmacro MUI_UNPAGE_INSTFILES
    OutFile "$%TEMP%\tempinstaller.exe"
!else
    !echo "Outer invocation"
    !system "$\"${NSISDIR}\makensis$\" /DINNER muckturnier_installer.nsi" = 0
    !system "$%TEMP%\tempinstaller.exe" = 2
    !system "$\"C:\signtool\signtool.exe$\" \
                sign /f $\"C:\signtool\cert.p12$\" \
                /p $\"...$\" \
                /t http://timestamp.verisign.com/scripts/timstamp.dll \
                $%TEMP%\uninstall.exe" = 0
    !system "$\"C:\signtool\signtool.exe$\" \
                sign /as /f $\"C:\signtool\cert.p12$\" /fd sha256 \
                /p $\"...$\" \
                /tr http://timestamp.comodoca.com/?td=sha256 /td sha256 \
                $%TEMP%\uninstall.exe" = 0
    OutFile "my_real_installer.exe"
!endif

Function .onInit
!ifdef INNER
    WriteUninstaller "$%TEMP%\uninstall.exe"
    Quit
!endif
FunctionEnd

!define MUI_FINISHPAGE_RUN
!define MUI_FINISHPAGE_RUN_TEXT "Muckturnier starten"
!define MUI_FINISHPAGE_RUN_FUNCTION "LaunchLink"
!insertmacro MUI_PAGE_FINISH

!insertmacro MUI_LANGUAGE "German"

Name "Muckturnier"
InstallDir "$PROGRAMFILES\Muckturnier"

Section "Muckturnier"
    SetOutPath "$INSTDIR"
    File muckturnier.exe
    File COPYING.txt
    File ChangeLog.txt
    File Readme.htm
    !ifndef INNER
        SetOutPath $INSTDIR
        File $%TEMP%\uninstall.exe
    !endif
    CreateDirectory "$SMPROGRAMS\Muckturnier"
    CreateShortcut "$SMPROGRAMS\Muckturnier\Muckturnier.lnk" "$INSTDIR\muckturnier.exe" "" ""
    CreateShortcut "$SMPROGRAMS\Muckturnier\Handbuch zu Muckturnier.lnk" "$INSTDIR\Readme.htm" "" ""
    CreateShortcut "$SMPROGRAMS\Muckturnier\Muckturnier deinstallieren.lnk" "$INSTDIR\uninstall.exe" "" ""
SectionEnd

Function LaunchLink
    ExecShell "" "$SMPROGRAMS\Muckturnier\Muckturnier.lnk"
FunctionEnd

!ifdef INNER
Section "Uninstall"
    Delete "$INSTDIR\uninstall.exe"
    Delete "$INSTDIR\muckturnier.exe"
    Delete "$INSTDIR\COPYING.txt"
    Delete "$INSTDIR\ChangeLog.txt"
    Delete "$INSTDIR\Readme.htm"
    RMDir "$INSTDIR"
    Delete "$SMPROGRAMS\Muckturnier\Muckturnier.lnk"
    Delete "$SMPROGRAMS\Muckturnier\Handbuch zu Muckturnier.lnk"
    Delete "$SMPROGRAMS\Muckturnier\Muckturnier deinstallieren.lnk"
    RMDir "$SMPROGRAMS\Muckturnier"
SectionEnd
!endif
