/* Copyright (c) 2012-2017 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

// Local includes
#include "Cell.h"

// Qt includes
#include <QImage>
#include <QColor>
#include <QBrush>

Cell::Cell(QString text, bool editable, int rowType, Qt::GlobalColor textColor)
    : QTableWidgetItem(text)
{
    if (rowType == 1) {
        QImage background = QImage(1, 1, QImage::Format_ARGB32_Premultiplied);
        background.fill(QColor(230, 230, 230));
        setBackground(QBrush(background));
    }

    if (! editable) {
        setFlags(flags() & ~Qt::ItemIsEditable);
    }

    if (textColor != Qt::color0) {
        setForeground(textColor);
    }
}
